Tag
Graph Iterator
A specification of the iterator to traverse a graph.
Include Headers
seqan/graph_types.h
Values

VertexIterator | Traverses all vertices of a graph.
EdgeIterator | Traverses all edges of a graph.
OutEdgeIterator | Traverses all edges of a graph given a vertex.
AdjacencyIterator | Traverses all neighbors of a graph given a vertex.
BfsIterator | Traverses all vertices of a graph in Bfs order.
DfsPreorder | Traverses all vertices of a graph in Dfs order.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:52